---
displayed_sidebar: entitiesSidebar
---

# Class: FulfillmentItem

## Constructors

### constructor

• **new FulfillmentItem**()

## Properties

### fulfillment

• **fulfillment**: [`Fulfillment`](Fulfillment.md)

#### Defined in

[models/fulfillment-item.ts:16](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/fulfillment-item.ts#L16)

___

### fulfillment\_id

• **fulfillment\_id**: `string`

#### Defined in

[models/fulfillment-item.ts:9](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/fulfillment-item.ts#L9)

___

### item

• **item**: [`LineItem`](LineItem.md)

#### Defined in

[models/fulfillment-item.ts:20](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/fulfillment-item.ts#L20)

___

### item\_id

• **item\_id**: `string`

#### Defined in

[models/fulfillment-item.ts:12](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/fulfillment-item.ts#L12)

___

### quantity

• **quantity**: `number`

#### Defined in

[models/fulfillment-item.ts:23](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/fulfillment-item.ts#L23)
